STRIP(1)

NAME
strip - Discard symbols from object files.

SYNOPSIS
strip [-F bfdname |--target=bfdname ]
      [-I bfdname |--input-target=bfdname ]
      [-O bfdname |--output-target=bfdname ]
      [-s|--strip-all] [-S|-g|-d|--strip-debug]
      [-K symbolname |--keep-symbol=symbolname ]
      [-N symbolname |--strip-symbol=symbolname ]
      [-x|--discard-all ] [-X |--discard-locals]
      [-R sectionname |--remove-section=sectionname ]
      [-o file ] [-p|--preserve-dates]
      [-v |--verbose] [-V|--version] [--help]
      objfile...

DESCRIPTION
GNU strip discards all symbols from object files objfile. The list of object files may include archives. At least one object file must be given.

strip modifies the files named in its argument, rather than writing modified copies under different names.

OPTIONS

-F bfdname
--target=bfdname
    Treat the original objfile as a file with the object code format bfdname, and rewrite it in the same format.

--help
    Show a summary of the options to strip and exit.

-I bfdname
--input-target=bfdname
    Treat the original objfile as a file with the object code format bfdname.

-O bfdname
--output-target=bfdname
    Replace objfile with a file in the output format bfdname.

-R sectionname
--remove-section=sectionname
    Remove any section named sectionname from the output file. This option may be given more than once. Note that using this option inappropriately may make the output file unusable.

-s
--strip-all
    Remove all symbols.

-g
-S
-d
--strip-debug
    Remove debugging symbols only.

--strip-unneeded
    Remove all symbols that are not needed for relocation processing.

-K symbolname
--keep-symbol=symbolname
    Keep only symbol symbolname from the source file. This option may be given more than once.

-N symbolname
--strip-symbol=symbolname
    Remove symbol symbolname from the source file. This option may be given more than once, and may be combined with strip options other than -K.

-o file
    Put the stripped output in file, rather than replacing the existing file. When this argument is used, only one objfile argument may be specified.

-p
--preserve-dates
    Preserve the access and modification dates of the file.

-x
--discard-all
    Remove non-global symbols.

-X
--discard-locals
    Remove compiler-generated local symbols. (These usually start with L or ..)

-V
--version
    Show the version number for strip.

-v
--verbose
    Verbose output: list all object files modified. In the case of archives, strip -v lists all members of the archive.

SEE ALSO
the Info entries for binutils.

COPYRIGHT
Copyright (c) 1991, 92, 93, 94, 95, 96, 97, 98, 99, 2000, 2001, 2002 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".